Name: 		oversteer
Version: 	0.5.5
Release: 	1%{?dist}
Summary: 	Steering Wheel Manager for Linux

License: 	GPLv3
URL:		https://github.com/berarma/oversteer
Source:		https://github.com/berarma/oversteer/archive/%{version}.tar.gz


BuildArch:      noarch
BuildRequires:  meson
BuildRequires:  gettext
BuildRequires:  python3-devel

Requires:       python3-gobject
Requires:       python3-pyudev
Requires:	python3-pyxdg
Requires:	python3-libevdev
Requires:	appstream
Requires:	desktop-file-utils
Requires: 	python3-matplotlib
Requires:	python3-scipy


%description
Oversteer is an application to configure Logitech Wheels.

%%prep
%setup -n %{name}-%{version}

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{name}

%files -f %{name}.lang
%license LICENSE
%doc README.md
%{_bindir}/oversteer
%dir %{python3_sitelib}/oversteer/
%pycached %{python3_sitelib}/oversteer/__init__.py
%pycached %{python3_sitelib}/oversteer/application.py
%pycached %{python3_sitelib}/oversteer/gtk_ui.py
%pycached %{python3_sitelib}/oversteer/gui.py
%{python3_sitelib}/oversteer/main.css
%{python3_sitelib}/oversteer/main.ui
%pycached %{python3_sitelib}/oversteer/profiles.py
%pycached %{python3_sitelib}/oversteer/device.py
%pycached %{python3_sitelib}/oversteer/device_manager.py
%{_datadir}/applications/org.berarma.Oversteer.desktop
%{_datadir}/icons/hicolor/scalable/apps/org.berarma.Oversteer.svg
%{_datadir}/metainfo/org.berarma.Oversteer.appdata.xml
%dir %{_datadir}/oversteer
%{_datadir}/oversteer/udev/99-logitech-wheel-perms.rules


%changelog
* Sun Oct 18 2020 Evie Viau <evie.viau@gmail.com> - 0.5.5-1
- Update to 0.5.5
